## dirty.js 0.9.6

=== Makefile ===
test:
	@find test/{simple,system}/test-*.js | xargs -n 1 -t node

benchmark-v8:
	@find benchmark/v8/*.js | xargs -n 1 -t node

benchmark-php:
	@find benchmark/php/*.php | xargs -n 1 -t php

benchmark-dirty:
	@find benchmark/dirty/*.js | xargs -n 1 -t node

benchmark-all: benchmark-v8 benchmark-php benchmark-dirty
benchmark: benchmark-dirty

clean:
	@find . -name *.dirty | xargs rm

.PHONY: test benchmark

## dirty.js 0.9.4

=== debian/changelog ===
dirty.js (0.9.4-1) unstable; urgency=low

  * Initial release (Closes: #644862)

 -- David Paleino <dapal@debian.org>  Sun, 09 Oct 2011 22:18:13 +0200

=== debian/control ===
Source: dirty.js
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders:
 David Paleino <dapal@debian.org>
Build-Depends:
 debhelper (>= 8.0.0)
 , dh-buildinfo
Standards-Version: 3.9.2
Homepage: https://github.com/felixge/node-dirty
Vcs-Git: git://git.debian.org/collab-maint/dirty.js.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/dirty.js.git;a=summary

Package: libnode-dirty
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
Description: tiny and fast key-value store for Node
 Node is an event-based server-side JavaScript engine.
 .
 Dirty.js is a tiny & fast key value store with append-only disk log.
 It is ideal for apps with less than 1 million records.
 Its characteristics are:
  - the file format is newline separated JSON;
  - the database lives in the same process as the application, they
    share memory;
  - there is no query language, you just forEach through all records.

## dirty.js 0.9.5

=== debian/changelog ===
dirty.js (0.9.5-1) unstable; urgency=low

  * New upstream version

 -- David Paleino <dapal@debian.org>  Fri, 30 Dec 2011 12:51:12 +0100

dirty.js (0.9.4-2) unstable; urgency=low

  * Compliance to Debian Javascript Policy

 -- David Paleino <dapal@debian.org>  Sun, 16 Oct 2011 00:26:46 +0200

## dirty.js 0.9.6

=== debian/changelog ===
dirty.js (0.9.6-1) unstable; urgency=low

  * New upstream version

 -- David Paleino <dapal@debian.org>  Wed, 22 Feb 2012 18:04:23 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Vcs-Git: git://git.debian.org/collab-maint/dirty.js.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/dirty.js.git;a=summary
 
-Package: libnode-dirty
+Package: node-dirty
 Architecture: all
 Depends:
  ${misc:Depends}

=== debian/watch ===
version=3
http://githubredir.debian.net/github/felixge/node-dirty/v(\d+.*)\.tar\.gz

## dirty.js 1.0.0

=== debian/changelog ===
dirty.js (1.0.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Gianfranco Costamagna ]
  * Switch to compat level 10
  * Fix unsecure VCS fields
  * Fix copyright format link

  [ Val Markovic ]
  * New upstream version 1.0.0 (Closes: #771790)
  * Update std-version to 3.9.8, no changes required.
  * Fix watch file

 -- Val Markovic <val@markovic.io>  Sun, 14 May 2017 20:51:02 -0700

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Uploaders:
  David Paleino <dapal@debian.org>
 Build-Depends:
- debhelper (>= 8.0.0)
+ debhelper (>= 10)
  , dh-buildinfo
-Standards-Version: 3.9.2
+Standards-Version: 3.9.8
 Homepage: https://github.com/felixge/node-dirty
-Vcs-Git: git://git.debian.org/collab-maint/dirty.js.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/dirty.js.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/dirty.js.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dirty.js.git
 
 Package: node-dirty
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
override_dh_auto_test:
override_dh_auto_clean:

override_dh_install:
	dh_install
	dh_buildinfo

=== debian/watch ===
version=3
https://github.com/felixge/node-dirty/tags .*/(.*)\.tar\.gz

## dirty.js 1.1.3

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 test:
-	@find test/{simple,system}/test-*.js | xargs -n 1 -t node
+	npm test
 
 benchmark-v8:
 	@find benchmark/v8/*.js | xargs -n 1 -t node

=== debian/changelog ===
dirty.js (1.1.3-1) unstable; urgency=medium

  * Team upload

  [ lintian-brush ]
  * Update watch file format version to 4
  * Bump debhelper from old 10 to 13
  * Set debhelper-compat version in Build-Depends
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse

  [ Yadd ]
  * Declare compliance with policy 4.6.0
  * Add "Rules-Requires-Root: no"
  * Change section to javascript
  * Add debian/gbp.conf
  * Use dh-sequence-nodejs auto install
  * Enable upstream test (mocha)
  * Fix VCS fields
  * Fix debian/watch
  * New upstream version 1.1.3

 -- Yadd <yadd@debian.org>  Sat, 15 Jan 2022 08:55:53 +0100

=== debian/control ===
Source: dirty.js
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends:
 debhelper-compat (= 13)
 , dh-sequence-nodejs
 , mocha <!nocheck>
 , node-rimraf <!nocheck>
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/js-team/dirty.js
Vcs-Git: https://salsa.debian.org/js-team/dirty.js.git
Homepage: https://github.com/felixge/node-dirty
Rules-Requires-Root: no

Package: node-dirty
Architecture: all
Depends:
 ${misc:Depends}
Description: tiny and fast key-value store for Node
 Node is an event-based server-side JavaScript engine.
 .
 Dirty.js is a tiny & fast key value store with append-only disk log.
 It is ideal for apps with less than 1 million records.
 Its characteristics are:
  - the file format is newline separated JSON;
  - the database lives in the same process as the application, they
    share memory;
  - there is no query language, you just forEach through all records.

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s%.*?(@ANY_VERSION@@ARCHIVE_EXT@)%dirty.js-$1% \
https://github.com/felixge/node-dirty/tags .*?@ANY_VERSION@@ARCHIVE_EXT@
